
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>range分区(实用篇) / iVAN</title>

    <meta name="description" content="range分区(实用篇) 上一篇blog对range分区做了个大概简介,接下来这篇对实际使用中的一些小细节进行分析总结.主要是新增和删除分区以及数据写入(null值的处理已在前面提到http://blog.sina.com.cn/s/blog_4d398f210100wrb8.html) ========================================================== 普通表: root@qw_test 01:49:44&gt;show create table tmp_qw_test ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">range分区(实用篇)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上一篇blog对range分区做了个大概简介，接下来这篇对实际使用中的一些小细节进行分析总结。主要是新增和删除分区以及数据写入(null值的处理已在前面提到<a href="http://blog.sina.com.cn/s/blog_4d398f210100wrb8.html" rel="external nofollow noreferrer">http://blog.sina.com.cn/s/blog_4d398f210100wrb8.html</a>)</p>
<p>==========================================================</p>
<p>普通表：</p>
<p>root@qw_test 01:49:44&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>1）改造分区表</p>
<p>root@qw_test 03:34:19&gt;alter table tmp_qw_test partition by range(to_days(gmt_create));</p>
<p>ERROR 1492 (HY000): For RANGE partitions each partition must be defined</p>
<p>—直接改造分区表不指定分区则报错</p>
<p>方法：在改造分区表的同时至少指定一个分区</p>
<p>root@qw_test 03:36:12&gt;alter table tmp_qw_test partition by range(to_days(gmt_create))</p>
<p>    -&gt; (partition  p_tmp_qw_test_201107 VALUES LESS THAN (734684) ENGINE = InnoDB);</p>
<p>ERROR 1503 (HY000): A PRIMARY KEY must include all columns in the table’s partitioning function</p>
<p>—因为分区键不是主键的其中一个组成部分而报错</p>
<p>方法：修改主键，使分区键成为主键的一部分</p>
<p>root@qw_test 03:37:37&gt;alter table tmp_qw_test drop primary key,</p>
<p>    -&gt; add primary key(id,gmt_create);</p>
<p>Query OK, 0 rows affected (0.08 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 03:40:03&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>修改主键后改造分区成功</p>
<p>root@qw_test 03:40:11&gt;alter table tmp_qw_test partition by range(to_days(gmt_create))</p>
<p>    -&gt; (partition  p_tmp_qw_test_201107 VALUES LESS THAN (734684) ENGINE = InnoDB);</p>
<p>Query OK, 0 rows affected (0.10 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 03:41:13&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>2)在已有分区表上增加分区</p>
<p>通过to_days计算好数字(这里已两个月一个分区为例)</p>
<p>root@qw_test 03:41:18&gt;select to_days(‘2011-09-01′);</p>
<p>+———————–+</p>
<p>| to_days(‘2011-09-01′) |</p>
<p>+———————–+</p>
<p>|                734746 |</p>
<p>+———————–+</p>
<p>1 row in set (0.00 sec)</p>
<p>root@qw_test 03:45:19&gt; alter table  tmp_qw_test add partition( PARTITION p_tmp_qw_test_201109 VALUES LESS THAN (734746) ENGINE = InnoDB);</p>
<p>Query OK, 0 rows affected (0.01 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 03:45:46&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>3)删除分区</p>
<p>root@qw_test 04:00:37&gt; alter table tmp_qw_test drop partition p_tmp_qw_test_201107;</p>
<p>Query OK, 0 rows affected (0.09 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 04:00:51&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>删除最大的分区后，开始不能新增的小分区能新增成功</p>
<p>root@qw_test 04:04:28&gt; alter table tmp_qw_test add partition( PARTITION p_tmp_qw_test_201112 VALUES LESS THAN (734837) ENGINE = InnoDB);</p>
<p>ERROR 1493 (HY000): VALUES LESS THAN value must be strictly increasing for each partition</p>
<p>(当前最大分区为：p_tmp_qw_test_201201，分区是按顺序定义，只能从最低到最高)</p>
<p>—删除最大分区后，小的分区新增成功</p>
<p>root@qw_test 04:04:55&gt; alter table tmp_qw_test drop partition p_tmp_qw_test_201201;</p>
<p>Query OK, 0 rows affected (0.08 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 04:05:05&gt; alter table tmp_qw_test add partition( PARTITION p_tmp_qw_test_201112 VALUES LESS THAN (734837) ENGINE = InnoDB);</p>
<p>Query OK, 0 rows affected (0.00 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 04:05:12&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>删除最后一个分区时提示失败，提示使用drop table</p>
<p>root@qw_test 04:11:57&gt;alter table tmp_qw_test drop PARTITION p_tmp_qw_test_201109;</p>
<p>ERROR 1508 (HY000): Cannot remove all partitions, use DROP TABLE instead</p>
<p>与前一篇介绍range分区中提到的分区有点有关，单个分区对应一个数据文件；删除分区即删除了相应的数据</p>
<p>注：分区的新增、删除每次只能是一个</p>
<p>root@qw_test 03:52:37&gt; alter table  tmp_qw_test add partition( PARTITION p_tmp_qw_test_201111 VALUES LESS THAN (734807) ENGINE = InnoDB),</p>
<p>    -&gt;  add partition( PARTITION p_tmp_qw_test_201201 VALUES LESS THAN (734868) ENGINE = InnoDB);</p>
<p>ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘</p>
<p> add partition( PARTITION p_tmp_qw_test_201201 VALUES LESS THAN (734868) ENGINE’ at line 1</p>
<p>root@qw_test 04:05:17&gt; alter table tmp_qw_test drop PARTITION p_tmp_qw_test_201111,drop partition p_tmp_qw_test_201112;</p>
<p>ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘drop partition p_tmp_qw_test_201112′ at line 1</p>
<p>4)查看分区表信息</p>
<p>root@qw_test 04:15:56&gt;  select * from INFORMATION_SCHEMA.PARTITIONS where TABLE_SCHEMA=’qw_test’ and TABLE_NAME like ‘tmp_qw_test%’\G</p>
<p>*************************** 1. row ***************************</p>
<p>                TABLE_CATALOG: NULL</p>
<p>                 TABLE_SCHEMA: qw_test</p>
<p>                   TABLE_NAME: tmp_qw_test</p>
<p>               PARTITION_NAME: p_tmp_qw_test_201109</p>
<p>            SUBPARTITION_NAME: NULL</p>
<p>   PARTITION_ORDINAL_POSITION: 1</p>
<p>SUBPARTITION_ORDINAL_POSITION: NULL</p>
<p>             PARTITION_METHOD: RANGE</p>
<p>          SUBPARTITION_METHOD: NULL</p>
<p>         PARTITION_EXPRESSION: to_days(gmt_create)</p>
<p>      SUBPARTITION_EXPRESSION: NULL</p>
<p>        PARTITION_DESCRIPTION: 734746</p>
<p>                   TABLE_ROWS: 0</p>
<p>               AVG_ROW_LENGTH: 0</p>
<p>                  DATA_LENGTH: 16384</p>
<p>              MAX_DATA_LENGTH: NULL</p>
<p>                 INDEX_LENGTH: 0</p>
<p>                    DATA_FREE: 0</p>
<p>                  CREATE_TIME: NULL</p>
<p>                  UPDATE_TIME: NULL</p>
<p>                   CHECK_TIME: NULL</p>
<p>                     CHECKSUM: NULL</p>
<p>            PARTITION_COMMENT: </p>
<p>                    NODEGROUP: default</p>
<p>              TABLESPACE_NAME: NULL</p>
<p>1 row in set (0.00 sec)</p>
<p>5)range分区对于不在分区范围内的数据写入时会报错，不能写入</p>
<p>root@qw_test 04:18:34&gt;insert into tmp_qw_test values(1,1234,’asd’,2,’2011-10-01′,’2011-10-01′,’asd’,’asd’,1,1);</p>
<p>ERROR 1526 (HY000): Table has no partition for value 734776</p>
<p>—对于未指定对最大值进行处理的分区需要及时添加相应的分区！否则需要指定对最大值的处理</p>
<p>root@qw_test 04:19:43&gt; alter table tmp_qw_test add partition( PARTITION p_tmp_qw_test_max  VALUES LESS THAN MAXVALUE  ENGINE = InnoDB);</p>
<p>Query OK, 0 rows affected (0.03 sec)</p>
<p>Records: 0  Duplicates: 0  Warnings: 0</p>
<p>root@qw_test 04:21:50&gt;show create table tmp_qw_test\G</p>
<p>*************************** 1. row ***************************</p>
<p>       Table: tmp_qw_test</p>
<p>Create Table: CREATE TABLE `tmp_qw_test` (</p>
<p>  `id` bigint(20) NOT NULL AUTO_INCREMENT,</p>
<p>  `user_id` bigint(20) NOT NULL,</p>
<p>  `nick` varchar(32) NOT NULL,</p>
<p>  `status` tinyint(4) NOT NULL,</p>
<p>  `gmt_create` datetime NOT NULL,</p>
<p>  `gmt_modified` datetime NOT NULL,</p>
<p>  `char_1` varchar(32) DEFAULT NULL,</p>
<p>  `char_2` varchar(32) DEFAULT NULL,</p>
<p>  `num_1` bigint(20) DEFAULT NULL,</p>
<p>  `num_2` bigint(20) DEFAULT NULL,</p>
<p>  PRIMARY KEY (`id`,`gmt_create`)</p>
<p>) ENGINE=InnoDB DEFAULT CHARSET=gbk</p>
<p>1 row in set (0.00 sec)</p>
<p>另一种方式是定期新增分区，可以是人肉的。。也可以是存储过程定期调用，估计大家都选后者，人肉越多引入误操作问题的可能性就越大。呵呵，下一篇会介绍一个简单的定期删除和新增分区的存储过程</p>
<p>下面是一些其他分区的其他操作(有兴趣的可以再研究研究)</p>
<p>COALESCE PARTITION</p>
<p>REORGANIZE PARTITION </p>
<p>ANALYZE PARTITION</p>
<p>CHECK PARTITION</p>
<p>OPTIMIZE PARTITION</p>
<p>REBUILD PARTITION </p>
<p>REPAIR PARTITION</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 19:31:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>range分区(实用篇)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M913AoM.html" rel="bookmark">mysql分区之RANGE分区讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  mysql分区之RANGE分区讲解 按照RANGE分区的表是通过如下一种方式进行分区的,每个分区包含那些分区表达式的值位于一个给定的连续区间内的行.这些区间要连续且不能相互重叠,使用VALUES LESS THAN操作符来进行定义.在下面的几个例子中,假定你创建了一个如下的一个表,该表保存有20家音像店的职员记录,这20家音像店的编号从1到20. CREATE TABLE employees ( id INT NOT NULL, fname VARCHAR(30), lname VARCHA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7De2p.html" rel="bookmark">mysql分区之range分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着互联网的发展,各方面的数据越来越多,从最近两年大数据越来越强的呼声中就可见一斑. 我们所做的项目虽算不上什么大项目,但是由于业务量的问题,数据也是相当的多. 数据一多,就很容易出现性能问题,而为了解决这个问题我们通常很容易想到集群.分片等. 但是在某些时候却不一定必须要用集群.分片,也可以适当的使用数据分区. 什么是分区? (以下引用自:http://wangweiak47.blog.51cto.com/2337362/1602422/) MySQL在未启用分区功能时,数据库的单个表内容是以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMR9nBb.html" rel="bookmark">JSP实用篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js 一,重定向页面  1,response.sendRedirect(&quot;url&quot;); 2,response.setStatus(HttpServletResponse.SC_MOVED_PERMANENTLY);   response.setHeader(&quot;Location&quot;,newLocation); 二,HTML Encoder和URL Encoder  1,HTML Encoder自定义,原则:''不输出,'&amp;'-&quot;&amp;&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgXmEp.html" rel="bookmark">实用篇&colon;用asp实现QQ在线查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用下面的代码即可实现与QQ网站一样的QQ网友在线查询的方式. &lt;script language=&quot;JavaScript&quot;&gt; &lt;!-- function getFaceImg(QQcode) { var Re=new RegExp(&quot;^[1-9]{1}\\d+$&quot;,&quot;g&quot;); if (!QQcode !Re.test(QQcode)) return; var URL=&quot;http://search.tencent.com/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0EnnM.html" rel="bookmark">&OpenCurlyDoubleQuote;蚁群算法&rdquo;实用篇：如何快速获得更多更好的外链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 蚁群算法理论:生物学家发现,蚁群在外出寻找食物时,总能合理运用最短的时间,找到蚁穴与食物最短的路径.蚁群中的每一只蚂蚁都是一个单独的个体,他们在寻找食物时,能够在自己所走的线路上留下信息(一种化学成分的信息,可以帮助蚂蚁判断这条路走过了多少只蚂蚁),如果有2条路,都能够从蚁穴到达食物源,当蚂蚁来到&quot;十字路口&quot;他们会判断这2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvvgBAM.html" rel="bookmark">Thinkphp3&period;2实用篇之计算型验证码示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				是不是觉得普通的验证码已经没办法满足,接下来介绍如何将tp现有的验证码改为计算型验证码: 首先找到:ThinkPHP\Library\Think\Verify.class.php 在其中加入以下代码: public function entry_add($id = '') { $this-&gt;length='3'; // 图片宽(px) $this-&gt;imageW || $this-&gt;imageW = $this-&gt;length*$this-&gt;fontSize*1.5 + $t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojgV6z.html" rel="bookmark">地方门户网站推广技巧实用篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 地方门户网站的兴起,给许多草根站长带来新的机遇和挑战.在新一轮的互联网竞争中,地方门户网站如何才能做出自己的特色,如何才能吸引更多的地方网民呢?这是每个地方门户网站站长都想知道的问题,在网上很容易就能找到许多地方门户推广技巧的文章,但许多站长都认为实用性不强,只是泛泛而谈,不切实际.于是今天就湛江今日同城的成功推广作为例子,跟大家分享一下地方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE20yb.html" rel="bookmark">Oracle中range&comma;hash及list分区现实应用和平共处优缺点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle的range,hash,list三大分区可能我们大家在熟悉不过了,但什么每种分区适用于什么场景可能是很多人的疑惑点,那么在选择不同的分区时应该注意什么,为什么这么选,有哪些需要我们加以注意的地方,让我们一一来探索一下吧:) A.创建range分区,一般用于日期化处理,range分区可以很好的管理基于日期来分区的数据 创建一个新用户ls SYS@LEO&gt; create user ls identified by ls; SYS@LEO&gt; grant dba to ls; SYS@LE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwnkQvp.html" rel="bookmark">【三思笔记】 全面学习Oracle分区表及分区索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[三思笔记]全面学习Oracle分区表及分区索引 2008-04-15 关于分区表和分区索引(About PartitionedTables and Indexes) 对于 10gR2 而言,基本上可以分成几类: v  Range(范围)分区 v  Hash(哈希)分区 v  List(列表)分区 v  以及组合分区:Range-Hash,Range-List. 对于表而言(常规意义上的堆组织表),上述分区形式都可以应用(甚至可以对某个分区指定 compress 属性),只不过分区依赖列不能是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbalVnz.html" rel="bookmark" class="title">VC&plus;&plus;动态链接库&lpar;DLL&rpar;编程之库的调试与查看</a>
					<div>
						  在具体进入各类DLL的详细阐述之前,有必要对库文件的调试与查看方法进行一下介绍,因为从下一节开始我们将面对大量的例子工程. 由于库文件不能单独执行,因而在按下F5(开始debug模式执行)或CTR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmnNqz.html" rel="bookmark" class="title">如何保证文件传输服务器FTP的安全</a>
					<div>
						作为Internet上的FTP服务器,系统的安全性是非常重要的,这是建立FTP服务器者所考虑的第一个问题.其安全性主要包括以下几个方面: 一. 未经授权的用户禁止在服务器上进行FTP操作. 二. FT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWLwGp.html" rel="bookmark" class="title">交换机安全六则</a>
					<div>
						如何过滤用户通讯,保障安全有效的数据转发?如何阻挡非法用户,保障网络安全应用?如何进行安全网管,及时发现网络非法用户.非法行为及远程网管信息的安全性呢?这里我们总结了6 条近期交换机市场上一些流行的安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWgyeM.html" rel="bookmark" class="title">Delphi中使用链式代码</a>
					<div>
						有了一系列的 Helper, Delphi 也可以使用链式代码了. //譬如要把 3.1415926 中的 141 提取为一个整数:var num: Integer; begin num := Pi. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl2QAz.html" rel="bookmark" class="title">Flash制作旋转拖尾文字效果</a>
					<div>
						文字旋转时后面跟着自己的影子,给人超强的速度感.在模拟物体快速运动时常常要用到这种效果,下面就讲一下这种文字的制作方法. 一.新建文档,设置文档大小为500×500.帧频为30/秒. 二.创建一个图形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLk3kb.html" rel="bookmark" class="title">WPS巧用垂直居中让公式与正文和谐相处</a>
					<div>
						在WPS文字2005中,插入公式后,经常出现公式与正文不够&quot;和谐&quot;的现象,即公式比正文高出一头(图1). 图1 出现这个问题的主要原因是文档段落的默认对齐方式为&quot;基线对齐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYx5AM.html" rel="bookmark" class="title">如何利用XP系统磁盘分区应用来提升读写速度</a>
					<div>
						  如何利用XP系统磁盘分区应用来提升读写速度         1.一分钟内分区及格式化硬盘 右键点击&quot;我的电脑&quot;,选择&quot;管理&quot;命令.在打开的&quot;计算机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E1ORM.html" rel="bookmark" class="title">linux查看磁盘io的几种方法</a>
					<div>
						  怎样才能快速的定位到并发高是由于磁盘io开销大呢?可以通过三种方式: 第一种:用 top 命令 中的cpu 信息观察 Top可以看到的cpu信息有: Tasks: 29 total, 1 runn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArlWQp.html" rel="bookmark" class="title">禁止用户自定义开始屏幕Win8&sol;W8&period;1系统操作方法</a>
					<div>
						  在Win8/8.1系统中个人已经将开始屏幕自定义好了之后,怎样禁止其他用户自定义开始屏幕呢?请看如下操作: 首先打开组策略,按系统找到路径: Win8系统: 用户配置--管理模板--&quot;开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArvLJp.html" rel="bookmark" class="title">win7系统软件升级时总是弹出&OpenCurlyDoubleQuote;0X80070643&rdquo;错误代码的故障分析及解决方法</a>
					<div>
						       win7系统软件升级时总是弹出&quot;0X80070643&quot;错误代码的故障分析及解决方法 故障分析: 出现故障主要原因是系统组件受损所导致的. 解决方法: 1.点击开始菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qnk0p.html" rel="bookmark" class="title">2013 年度最佳电脑产品 TOP 5，每一台都很有吸引力的说</a>
					<div>
						class=&quot;post_content&quot; itemprop=&quot;articleBody&quot;&gt; 最近,国外知名科技媒体 CNET 在黑色星期五和圣诞节购物季之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l92rb.html" rel="bookmark" class="title">java中的单例模式</a>
					<div>
						    Java Singleton模式主要作用是保证在Java应用程序中,一个类Class只有一个实例存在. 使用Singleton的好处还在于可以节省内存,因为它限制了实例的个数,有利于Java垃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkmDvb.html" rel="bookmark" class="title">数据-单链表创建打印函数，用完creat再用get（打印函数）</a>
					<div>
						问题描述 单链表创建打印函数,用完creat再用get(打印函数) #include #include #include using namespace std; typedef struct LNo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn73yrz.html" rel="bookmark" class="title">如何用phpStudy调试程序</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新手入门往往不知道怎么调试PHP. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmVnvz.html" rel="bookmark" class="title">wifi-求助&vert;android 验证问题</a>
					<div>
						问题描述 求助|android 验证问题 各位大神,我想实现下面的功能: 我用手机自建 一个 wifi 热点,然后另其他手机设备来连接我的热点.现在要实现的是一个类似于CMCC-EDU的wifi热点那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqq3Lz.html" rel="bookmark" class="title">第三方支付接口申请教程</a>
					<div>
						问题描述 2.提供域名并网站ICP备案,备案信息必须跟提供来的资料信息一致3.法人或个人划款银行账户一个开通时间:1-3天,基本上当天下接口!如果有需要支付接口的商户可参考:第三方支付接口申请平台关于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRmLep.html" rel="bookmark" class="title">【整理】CentOS5&period;6 升级 Python2&period;4&period;3 到 2&period;7&period;5</a>
					<div>
						查看 python 的版本  ? 1 2 [root@localhost ~]# python -V Python 2.4.3 下载并安装 Python-2.7.5  ? 1 2 3 4 5 6 [r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRra6b.html" rel="bookmark" class="title">小型功率UPS电源九个注意事项</a>
					<div>
						1. 估算UPS电源的功率 根据微机及其外部设备的用电功率,算出设备的总用电量.总用电量乘以安全系数,就是UPS电源的估算功率,安全系数一般取1.2-1.3为宜. 2. 国产和进口UPS电源的选择 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1ADAz.html" rel="bookmark" class="title">svn-myeslipse10的SVN插件无法使用类似&OpenCurlyDoubleQuote;file&colon;&sol;&sol;&sol;E&colon;&sol;SVN&rdquo;这样的访问方式</a>
					<div>
						问题描述 myeslipse10的SVN插件无法使用类似&quot;file:///E:/SVN&quot;这样的访问方式 开发平台:Win7 64位 开发工具:Myelipse10.7 64位 SV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyernPM.html" rel="bookmark" class="title">中国电力高开4&percnt;母公司落实水电资产注入</a>
					<div>
						早前执行董事李小琳曾表示母公司希望在今年上半年注入价值人民币280亿元的350万千瓦水力发电资产的中国电力,今早显著高开3.7%至2.8港元,盘前成交118.5万股:受资产注入获得落实的消息激励.因中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW647M.html" rel="bookmark" class="title">hql能不能查询某列长度大于等于4的数据</a>
					<div>
						问题描述 1zhangsan2lisi3a4b5cda 解决方案 解决方案二:该回复于2011-01-13 16:12:29被版主删除解决方案三:肯定能查询和数据长度没关系解决方案四:必须的啊,这个和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QREZM.html" rel="bookmark" class="title">优酷网宣布，将对会计原则做出重大调整</a>
					<div>
						摘要: 日前,刚刚发布Q1财报的优酷网(NYSE:YOKU)宣布,将对会计原则做出重大调整.对于视频网站重要的成本--版权成本,优酷决定,将从之前的直线摊销法改为今后的加速摊销法. 日前,刚刚发布Q1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7naKb.html" rel="bookmark" class="title">周鸿伟360将进军手机市场？</a>
					<div>
						奇虎360董事长周鸿祎在2012年5月4日在微博上表示,声称360将与国内外手机厂商合作,从而推出多款属于360用户的特供机. 在当时的微博上,周鸿祎表示,360作为一个开放平台,自己是不做手机,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr1Ylp.html" rel="bookmark" class="title">asp&period;net下配置数据源时出现： 未将对象引用设置到对象的实例。&lowbar;实用技巧</a>
					<div>
						打开vs2005或vs2008,  新建网站,把ACCCESS数据库Copy到App_Data里,  拖&quot;AccessDataSource&quot;到窗口里,  配置数据源...  选择数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0gXNp.html" rel="bookmark" class="title">一个上线90天就被焦点访谈报道的APP如何通过阿里云升级它的创业体验</a>
					<div>
						这款特别的APP上线仅仅60天就获得了1个亿的A轮融资,平台服务人次超10万,最近还得到了中央电视台&lt;焦点访谈&gt;的关注.这款APP的名字是&quot;空格&quot;. 据公司创始人兼CE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYkgab.html" rel="bookmark" class="title">保障金融无线网络安全从&OpenCurlyDoubleQuote;头&rdquo;开始</a>
					<div>
						本文讲的是 :  保障金融无线网络安全从&quot;头&quot;开始  ,[IT168技术]从网络安全的角度看我们可以把通常的业务流程抽象成一个线性业务链,包括接入.操作系统.应用和数据.接入就是网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YZ4gb.html" rel="bookmark" class="title">1&period;2&mdash;Spring项目快速搭建&mdash;1&period;Maven</a>
					<div>
						1.Maven简介Apache Maven是一个软件项目管理工具.基于项目对象模型(Project Object Model,POM)的概念,Maven可用来管理项目的依赖.编译.文档等信息.使用Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx25LPz.html" rel="bookmark" class="title">API签名搞这么复杂，什么鬼？</a>
					<div>
						如果你使用过阿里云的云产品的API或者API网关,你会发现API签名是件比较难以搞定的事情.为什么要搞这么复杂? 他们是怎么签名的 两种类型的API都如何签名,点击查看详细API网关签名.云产品签名( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq0n3p.html" rel="bookmark" class="title">Outlook 2013曝光</a>
					<div>
						微软前天宣布说他们打算在今年晚些时候把完整的Outlook 2013应用整合到Windows RT设备上.今天,这款应用的截图已经开始出现在网上,揭了其UI的同时也发现了一些其他有意思的事.Outlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0x3ZM.html" rel="bookmark" class="title">2009风投依然瞩目IT业 电子商务上榜</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 1月12日,京东商城正式对外宣布了获得2100万美元风险投资的消息.这是继2007年8月获得1000万美元投资后,京东商城的再次融资. 更早之前,200 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.041 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
